Debian Bug report logs - #575717
RFP: runawk -- Wrapper for AWK interpreter implementing modules

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Aleksey Cheusov <vle@gmx.net>

Date: Sun, 28 Mar 2010 16:33:01 UTC

Severity: wishlist

Fixed in version runawk/1.5.0-1

Done: Andrew Shadura <andrewsh@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#575717; Package wnpp. (Sun, 28 Mar 2010 16:33:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Aleksey Cheusov <vle@gmx.net>:
New Bug report received and forwarded. Copy sent to wnpp@debian.org. (Sun, 28 Mar 2010 16:33:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Aleksey Cheusov <vle@gmx.net>
To: submit@bugs.debian.org
Subject: ITP: runawk -- Wrapper for AWK interpreter implementing modules
Date: Sun, 28 Mar 2010 19:25:53 +0300
Subject: ITP: runawk -- Wrapper for AWK interpreter implementing modules
Package: wnpp
Owner: Aleksey Cheusov <vle@gmx.net>
Severity: wishlist

* Package name    : runawk
  Version         : 0.21.0
  Upstream Author : Aleksey Cheusov <vle@gmx.net>
* URL             : http://sourceforge.net/projects/runawk/
* License         : MIT/X
  Programming Lang: C, AWK
  Description     : Wrapper for AWK interpreter implementing modules

RUNAWK is a small wrapper for AWK interpreter that impements module system
(similar to Perl's "use" command) and helps one write the standalone AWK
programs. Dozens of modules ready for use are also provided.


I'm looking for sponsor who can review and upload this package to Debian
repository. Package is ready and works fine on Lenny.

    deb     http://mova.org/~cheusov/pub/debian       lenny    main
    deb-src http://mova.org/~cheusov/pub/debian       lenny    main

-- System Information:
Debian Release: 5.0
  APT prefers stable
  APT policy: (500, 'stable')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.26-bpo.2-686-bigmem
Locale: LANG=ru_RU.CP1251, LC_CTYPE=ru_RU.CP1251 (charmap=CP1251)




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Aleksey Cheusov <vle@gmx.net>:
Bug#575717; Package wnpp. (Sat, 19 Feb 2011 17:48:23 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Aleksey Cheusov <vle@gmx.net>. (Sat, 19 Feb 2011 17:48:23 GMT) Full text and rfc822 format available.

Message #10 received at 575717@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@debian.org>
To: 575717@bugs.debian.org
Cc: control@bugs.debian.org
Subject: runawk: changing back from ITP to RFP
Date: Sat, 19 Feb 2011 17:07:45 +0000
retitle 575717 RFP: runawk -- Wrapper for AWK interpreter implementing modules
noowner 575717
thanks

Hi,

This is an automatic email to change the status of runawk back from ITP
(Intent to Package) to RFP (Request for Package), because this bug hasn't seen
any activity during the last 6 months.

If you are still interested in adopting runawk, please send a mail to
<control@bugs.debian.org> with:

 retitle 575717 ITP: runawk -- Wrapper for AWK interpreter implementing modules
 owner 575717 !
 thanks

However, it is not recommended to keep ITP for a long time without acting on
the package, as it might cause other prospective maintainers to refrain from
packaging that software. It is also a good idea to document your progress on
this ITP from time to time, by mailing <575717@bugs.debian.org>.

Thank you for your interest in Debian,
-- 
Lucas, for the QA team <debian-qa@lists.debian.org>




Changed Bug title to 'RFP: runawk -- Wrapper for AWK interpreter implementing modules' from 'ITP: runawk -- Wrapper for AWK interpreter implementing modules' Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Sat, 19 Feb 2011 17:50:57 GMT) Full text and rfc822 format available.

Removed annotation that Bug was owned by Aleksey Cheusov <vle@gmx.net>. Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Sat, 19 Feb 2011 17:50:58 GMT) Full text and rfc822 format available.

Changed Bug title to 'ITP: runawk -- Wrapper for AWK interpreter implementing modules' from 'RFP: runawk -- Wrapper for AWK interpreter implementing modules' Request was from Jeroen Schot <schot@A-Eskwadraat.nl> to control@bugs.debian.org. (Tue, 24 May 2011 13:03:03 GMT) Full text and rfc822 format available.

Owner recorded as Jeroen Schot <schot@A-Eskwadraat.nl>. Request was from Jeroen Schot <schot@A-Eskwadraat.nl> to control@bugs.debian.org. (Tue, 24 May 2011 13:03:04 GMT) Full text and rfc822 format available.

Message sent on to Aleksey Cheusov <vle@gmx.net>:
Bug#575717. (Tue, 24 May 2011 13:21:07 GMT) Full text and rfc822 format available.

Message #21 received at 575717-submitter@bugs.debian.org (full text, mbox):

From: Jeroen Schot <schot@A-Eskwadraat.nl>
To: control@bugs.debian.org
Cc: 575717-submitter@bugs.debian.org
Subject: ITP: runawk -- Wrapper for AWK interpreter implementing modules
Date: Tue, 24 May 2011 15:01:04 +0200
retitle 575717 ITP: runawk -- Wrapper for AWK interpreter implementing modules
owner 575717 !
thanks

Hello Aleksey,

(I noticed you're also the upstream author.)

Do you still want to maintain runawk in Debian? If not: I'm also
interested in this package, so if it's OK with you I would be more
than happy to maintain the package. (I'm not a DD/DM though.)

Regards,
-- 
Jeroen Schot




Information stored :
Bug#575717; Package wnpp. (Tue, 24 May 2011 14:27:31 GMT) Full text and rfc822 format available.

Acknowledgement sent to Aleksey Cheusov <vle@gmx.net>:
Extra info received and filed, but not forwarded. (Tue, 24 May 2011 14:27:31 GMT) Full text and rfc822 format available.

Message #26 received at 575717-quiet@bugs.debian.org (full text, mbox):

From: Aleksey Cheusov <vle@gmx.net>
To: Jeroen Schot <schot@A-Eskwadraat.nl>
Cc: 575717-quiet@bugs.debian.org, control@bugs.debian.org, 575717-submitter@bugs.debian.org
Subject: Re: Bug#575717: ITP: runawk -- Wrapper for AWK interpreter implementing modules
Date: Tue, 24 May 2011 17:18:36 +0300
> Do you still want to maintain runawk in Debian? If not: I'm also
> interested in this package, so if it's OK with you I would be more
> than happy to maintain the package. (I'm not a DD/DM though.)
First of all, it's great to hear that someone is going to
maintain my software in Debian :-) If you want to do so,
you are welcome. I just has no enough time to maintain it by myself.

Note that you also need to maintain bmake and mk-configure.  You can
find packaging instructions in my personal repo (update to latest
debhelper is needed though).  If you have any questions about bmake,
mk-c or runawk, feel free to ask me. I'll be glad to help.

-- 
Best regards, Aleksey Cheusov.




Message sent on to Aleksey Cheusov <vle@gmx.net>:
Bug#575717. (Tue, 24 May 2011 14:27:33 GMT) Full text and rfc822 format available.

Changed Bug title to 'RFP: runawk -- Wrapper for AWK interpreter implementing modules' from 'ITP: runawk -- Wrapper for AWK interpreter implementing modules' Request was from Jeroen Schot <schot@A-Eskwadraat.nl> to control@bugs.debian.org. (Fri, 10 Aug 2012 09:39:10 GMT) Full text and rfc822 format available.

Removed annotation that Bug was owned by Jeroen Schot <schot@A-Eskwadraat.nl>. Request was from Jeroen Schot <schot@A-Eskwadraat.nl> to control@bugs.debian.org. (Fri, 10 Aug 2012 09:39:10 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 575717: 627983 Request was from Jeroen Schot <schot@A-Eskwadraat.nl> to control@bugs.debian.org. (Fri, 10 Aug 2012 09:39:11 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#575717; Package wnpp. (Fri, 10 Aug 2012 09:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jeroen Schot <schot@A-Eskwadraat.nl>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Fri, 10 Aug 2012 09:57:03 GMT) Full text and rfc822 format available.

Message #40 received at 575717@bugs.debian.org (full text, mbox):

From: Jeroen Schot <schot@A-Eskwadraat.nl>
To: control@bugs.debian.org
Cc: 575717@bugs.debian.org
Subject: RFP: runawk -- Wrapper for AWK interpreter implementing modules
Date: Fri, 10 Aug 2012 11:35:52 +0200
retitle 575717 RFP: runawk -- Wrapper for AWK interpreter implementing modules
noowner 575717
block   575717 by 627983
thanks


Hello,

I won't be packaging runawk as I no longer need it and packaging
proved more difficult then anticipated. Although runawk is a useful
program, in my case igawk had sufficient functionality.

Future packagers note that the build system of this package needs
bmake (#627983) and mk-configure, both not (yet) part of Debian.

Kind regards,

Jeroen Schot



Reply sent to Andrew Shadura <andrewsh@debian.org>:
You have taken responsibility. (Mon, 10 Mar 2014 16:03:05 GMT) Full text and rfc822 format available.

Notification sent to Aleksey Cheusov <vle@gmx.net>:
Bug acknowledged by developer. (Mon, 10 Mar 2014 16:03:05 GMT) Full text and rfc822 format available.

Message #45 received at 575717-close@bugs.debian.org (full text, mbox):

From: Andrew Shadura <andrewsh@debian.org>
To: 575717-close@bugs.debian.org
Subject: Bug#575717: fixed in runawk 1.5.0-1
Date: Mon, 10 Mar 2014 16:00:08 +0000
Source: runawk
Source-Version: 1.5.0-1

We believe that the bug you reported is fixed in the latest version of
runawk, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 575717@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Andrew Shadura <andrewsh@debian.org> (supplier of updated runawk package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Tue, 28 Jan 2014 08:42:17 +0100
Source: runawk
Binary: runawk
Architecture: source i386
Version: 1.5.0-1
Distribution: unstable
Urgency: low
Maintainer: Andrew Shadura <andrewsh@debian.org>
Changed-By: Andrew Shadura <andrewsh@debian.org>
Description: 
 runawk     - wrapper for AWK interpreter implementing modules
Closes: 575717
Changes: 
 runawk (1.5.0-1) unstable; urgency=low
 .
   * Initial release (Closes: #575717).
Checksums-Sha1: 
 d747392bd41a2d58e953f9b939d44539dabf0c9e 1686 runawk_1.5.0-1.dsc
 fd06f96befb42c88b762d53094026dfd802650d2 60846 runawk_1.5.0.orig.tar.gz
 38702c09d90a0111882981945acffe5e856857a3 2254 runawk_1.5.0-1.debian.tar.gz
 7fd426df942933ed19c9ed4a8bb3cc2627db7e71 63600 runawk_1.5.0-1_i386.deb
Checksums-Sha256: 
 acbdd39b698a15d0cb90b5321733e94450995c37a2ea749585993888a205e7b6 1686 runawk_1.5.0-1.dsc
 72eb54b6b5c9721ca40707f5b595d6d82f4844de0b0c09c07335aa275a6008e4 60846 runawk_1.5.0.orig.tar.gz
 24e243ecdcbf575e5e935235ea005e945550f97eb78aef081e4e6d3473bd432d 2254 runawk_1.5.0-1.debian.tar.gz
 60f022fcefce8665d2d45b884594de5a486029eb68f7030e3c74ec7bfdb422c6 63600 runawk_1.5.0-1_i386.deb
Files: 
 46003260b26efce52067b5145faaf7e9 1686 devel optional runawk_1.5.0-1.dsc
 69db2ee796f03cba71926caf5da87909 60846 devel optional runawk_1.5.0.orig.tar.gz
 bacfdf133e220680ac656dc946a3f38b 2254 devel optional runawk_1.5.0-1.debian.tar.gz
 240dc86a284a60c310649c5208cb9487 63600 devel optional runawk_1.5.0-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.15 (GNU/Linux)

iQIcBAEBCAAGBQJS52C3AAoJEG6k0jEaLSaNjfwQAKIN9TSdp1IajznpNfXiqMM7
SZfpnJLKOrPzrA4w10B0gdOR6iOdUZ/I+RXt62dKgO9K6nvAlMEAjBvEkDIeRHZA
6xefn6tSEw+MGPGvrlvXR61zCJJoF0NU8TueMnvwFiD0nInuP8Y5sLRuKR+9Z1nU
uJNfaA6alDG/A4IBRHODaCjClWNGgV3C5qP46jgZ5yFiLH6QX374gBy46EVVmdS6
UDrYRdqfw1Ml53ZyHbh5OP8rCzyvXIl47GSMe5DiMKc/IFQzGfGMAh1oIfbB0jH+
i1ZQ47cpzdr1Y8FDuVp/9k7b/zw5RHa3WiyEIIU5p2OgYcrZyf6Khh/3Ihqb5PCt
I/QCyPNtikOQFUqOhCtEQv3O9CD/JO94DGdL0g6LtrtJ8QEi2I6GFPAWfSmOCDUx
R/e+0Vc93I80nOzVHFFWTKyFaW/pq8X4XXUIa7vvorYRwcjbs/BLJxNRuTJbQso7
Wxh+QuYE5fH5TkkDq0Xrer/tGVaeMoENFu6kNWYJMeSMugt/+TgnI0VigNsS42Tj
lWMOGcPGDqGzqM3oBYUrwsc2bQwdjnXQx9AoVrepWmuImhoe96PGbksPd5jpy8Bt
tPDz7pN5XYlVBlROnz7H8sS3DKLoAYOieVD9n1fo+53RWLkq5vVFKJSGovAoQ0Qc
+Q2JTfdnF2m+MQ/vjCDA
=bQgH
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 08 Apr 2014 07:26:17 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 20:06:53 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.